API Docs
YMS API
Task Management
POST Create Task

POST Create task

Introduction

Creates a new yard task for equipment operations such as receiving, loading, unloading, or moving equipment. Tasks can be assigned to specific users and locations, linked to receipts or loads, and associated with entry tickets. Supports various task types including RECEIVE, LOAD, UNLOAD, and MOVE operations. This API is commonly used when scheduling yard operations or when equipment arrives at the yard requiring specific handling.

POST /public/task/create

Body Request Parameters

{
  "taskId": "string",
  "taskType": "RECEIVE",
  "assignUserName": "string",
  "assignLocationId": "string",
  "customerId": "string",
  "receiptIds": [
    "string"
  ],
  "loadIds": [
    "string"
  ],
  "entryId": "string",
  "assigneeUserId": "string",
  "loadMode": "LIVE_LOAD",
  "description": "string",
  "priority": "string",
  "note": "string",
  "lastStepAssignedUserIds": [
    "string"
  ],
  "lastStepAssignedUserNames": [
    "string"
  ],
  "equipmentId": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» taskIdbodystringNoTask ID (optional)
» taskTypebodystringYesTask type
» assignUserNamebodystringNoAssigned user
» assignLocationIdbodystringNoAssigned location
» customerIdbodystringNoCustomer ID
» receiptIdsbody[string]Nonone
» loadIdsbody[string]Nonone
» entryIdbodystringNonone
» assigneeUserIdbodystringNonone
» loadModebodystringNonone
» descriptionbodystringNoTask description
» prioritybodystringNoTask priority level
» notebodystringNoTask notes/remarks
» lastStepAssignedUserIdsbody[string]NoUser IDs assigned to last step
» lastStepAssignedUserNamesbody[string]NoUser names assigned to last step
» equipmentIdbodystringNoEquipment ID

Detailed Description

» taskId: Task ID (optional) If specified, the provided ID will be used; if not specified, one will be auto-generated.

» assignLocationId: Assigned location During internal processing, this value is assigned to both plannedLocationId (planned location) and locationId (actual location).

Enum Values

PropertyValue
» taskTypeRECEIVE
» taskTypeLOAD
» taskTypePICK
» taskTypePUT_AWAY
» taskTypeOTHER
» loadModeLIVE_LOAD
» loadModePRE_LOAD

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "taskId": "",
    "taskType": "",
    "timeStatus": "",
    "startTime": "",
    "lastPauseTime": "",
    "endTime": "",
    "totalRunTime": 0,
    "totalPausedTime": 0,
    "createdTime": "",
    "updatedTime": "",
    "createdBy": "",
    "updatedBy": "",
    "assignUserName": "",
    "plannedLocationId": "",
    "assignLocationId": "",
    "assignLocationName": "",
    "customerId": "",
    "customerName": "",
    "entryId": "",
    "loadIds": [
      ""
    ],
    "receiptIds": [
      ""
    ],
    "taskStatus": "",
    "assigneeUserId": "",
    "description": "",
    "priority": "",
    "note": "",
    "lastStepAssignedUserIds": [
      ""
    ],
    "planedLastStepAssignedUserIds": [
      ""
    ],
    "lastStepAssignedUserNames": [
      ""
    ],
    "planedLastStepAssignedUserNames": [
      ""
    ],
    "lastStepId": "",
    "planedAssignAllSteps": false
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRGeneralTaskView